package com.example.demo.dto;

import java.util.List;

import com.example.demo.entity.Recipe;

public class RecipeDto {
	private String title;
	private String description;
	private Integer prepTimeMinutes;
	private Integer cookTimeMinutes;
	private Integer servings;
	private UserDto userDto;
	private String status;
	private Integer id;
	private List<RecipeIngredientDto> ingredients;
	private List<StepDto> steps;
	private List<ImageDto> images;
	private List<TagDto> tags;
	private Integer cost;

	public RecipeDto() {
		super();
	}

	public RecipeDto(String title, String description, Integer prepTimeMinutes, Integer cookTimeMinutes,
			Integer servings, UserDto userDto, String status, List<RecipeIngredientDto> ingredients,
			List<StepDto> steps, List<ImageDto> images, List<TagDto> tags, Integer cost) {
		super();
		this.title = title;
		this.description = description;
		this.prepTimeMinutes = prepTimeMinutes;
		this.cookTimeMinutes = cookTimeMinutes;
		this.servings = servings;
		this.userDto = userDto;
		this.status = status;
		this.ingredients = ingredients;
		this.steps = steps;
		this.images = images;
		this.tags = tags;
		this.cost = cost;
	}

	// getters and setters

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getPrepTimeMinutes() {
		return prepTimeMinutes;
	}

	public void setPrepTimeMinutes(Integer prepTimeMinutes) {
		this.prepTimeMinutes = prepTimeMinutes;
	}

	public Integer getCookTimeMinutes() {
		return cookTimeMinutes;
	}

	public void setCookTimeMinutes(Integer cookTimeMinutes) {
		this.cookTimeMinutes = cookTimeMinutes;
	}

	public Integer getServings() {
		return servings;
	}

	public void setServings(Integer servings) {
		this.servings = servings;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public List<RecipeIngredientDto> getIngredients() {
		return ingredients;
	}
	
	public Integer getId() { 
		return id; 
	}

	public void setIngredients(List<RecipeIngredientDto> ingredients) {
		this.ingredients = ingredients;
	}

	public List<StepDto> getSteps() {
		return steps;
	}

	public void setSteps(List<StepDto> steps) {
		this.steps = steps;
	}

	public List<ImageDto> getImages() {
		return images;
	}

	public void setImages(List<ImageDto> images) {
		this.images = images;
	}

	public List<TagDto> getTags() {
		return tags;
	}

	public void setTags(List<TagDto> tags) {
		this.tags = tags;
	}

	public UserDto getUserDto() {
		return userDto;
	}

	public void setUserDto(UserDto userDto) {
		this.userDto = userDto;
	}
	
	public void setId(Integer id) { 
		this.id = id; 
	}

	public Integer getCost() {
		return cost;
	}

	public void setCost(Integer cost) {
		this.cost = cost;
	}

	
}
